hbase-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Enis Söztutar <e...@apache.org>
Subject Re: [DISCUSS] Hadoop versions in HBase 2.
Date Mon, 06 Jul 2015 21:28:19 GMT
I thought it is already the case. The hbase master branch does not compile
with 2.2 and 2.3 (not just mini kdc I think) affectively making the support
dropped. precommit build only compiles with 2.4+ versions.

In any case, +1 for officially dropping hadoop-2.2 and hadoop-2.3 support.

Enis

On Mon, Jul 6, 2015 at 10:26 AM, Andrew Purtell <apurtell@apache.org> wrote:

> That sounds fine to me.
>
> We should still support 2.4.x until the user community consensus on the
> stability of a later release is equal to or surpasses it, then we could
> look at bumping up that minimum.
>
> On Sat, Jul 4, 2015 at 1:15 PM, Sean Busbey <busbey@cloudera.com> wrote:
>
> > I just noticed that the special handling for hadoop-minikdc wasn't
> included
> > in the master branch[1].
> >
> > Before I file a follow-on, what do folks think about planning to list
> > Hadoop 2.2 and 2.3 as not supported when HBase 2 happens?
> >
> >
> > [1]: https://issues.apache.org/jira/browse/HBASE-13637
> >
> > --
> > Sean
> >
>
>
>
> --
> Best regards,
>
>    - Andy
>
> Problems worthy of attack prove their worth by hitting back. - Piet Hein
> (via Tom White)
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message